> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Address

> Update customer address.



## OpenAPI

````yaml openapi/ecommerce.yaml put /public/{user_id}/addresses/{customerAddress_id}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/addresses/{customerAddress_id}:
    put:
      tags:
        - Address
      summary: Update Address
      description: Update customer address.
      operationId: updateAddress
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: culpa
        - name: customerAddress_id
          in: path
          description: The ID of the customerAddress.
          required: true
          schema:
            type: integer
          example: 19
      requestBody:
        content:
          application/json:
            schema:
              required:
                - line_one
                - city
                - postcode
              type: object
              properties:
                line_one:
                  type: string
                  description: Must not be greater than 255 characters.
                  example: tcldzudotrhbmybwdf
                line_two:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: jkqmzngoaophafhk
                city:
                  type: string
                  description: Must not be greater than 255 characters.
                  example: uinhfib
                postcode:
                  type: string
                  description: Must not be greater than 20 characters.
                  example: ievsvny
                province_code:
                  type: string
                  description: Must not be greater than 10 characters.
                  nullable: true
                  example: kfobp
                contact_email:
                  type: string
                  description: >-
                    Must be a valid email address. Must not be greater than 255
                    characters.
                  nullable: true
                  example: payton43@example.net
                vat_number:
                  type: string
                  description: Must not be greater than 50 characters.
                  nullable: true
                  example: zatvelthmjg
                company_code:
                  type: string
                  description: Must not be greater than 50 characters.
                  nullable: true
                  example: hpywpxlqisnvlcohrwgivb
                first_name:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: fzrbxsd
                last_name:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: q
                company_name:
                  type: string
                  description: Must not be greater than 255 characters.
                  nullable: true
                  example: lqqg
                contact_phone:
                  type: string
                  description: Must not be greater than 50 characters.
                  nullable: true
                  example: jwf
            example:
              line_one: tcldzudotrhbmybwdf
              line_two: jkqmzngoaophafhk
              city: uinhfib
              postcode: ievsvny
              province_code: kfobp
              contact_email: payton43@example.net
              vat_number: zatvelthmjg
              company_code: hpywpxlqisnvlcohrwgivb
              first_name: fzrbxsd
              last_name: q
              company_name: lqqg
              contact_phone: jwf
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d2-8192-41b1-9903-47afef577659
                      first_name:
                        type: string
                        example: Zita
                      last_name:
                        type: string
                        example: Keebler
                      company_name:
                        type: string
                        example: Heidenreich-Ruecker
                      vat_number:
                        type: string
                        example: eligendi
                      vat_validation_status:
                        type: string
                        example: invalid
                      vat_validated_at:
                        type: string
                        example: '2026-03-03T14:05:30Z'
                      line_one:
                        type: string
                        example: 305 Bart Shoal Suite 658
                      line_two:
                        type: string
                        example: 6392 Doyle Ports
                      line_three:
                        type: string
                        example: 21693 Justine Curve
                      city:
                        type: string
                        example: Destinyburgh
                      province_code:
                        type: string
                        example: CA
                      country_code:
                        type: string
                        example: BR
                      postcode:
                        type: string
                        example: '61669'
                      contact_email:
                        type: string
                        example: dreilly@hotmail.com
                      contact_phone:
                        type: string
                        example: 1-281-643-8395
                      company_code:
                        type: string
                        example: '11258975'
                example:
                  data:
                    uuid: a13651d2-8192-41b1-9903-47afef577659
                    first_name: Zita
                    last_name: Keebler
                    company_name: Heidenreich-Ruecker
                    vat_number: eligendi
                    vat_validation_status: invalid
                    vat_validated_at: '2026-03-03T14:05:30Z'
                    line_one: 305 Bart Shoal Suite 658
                    line_two: 6392 Doyle Ports
                    line_three: 21693 Justine Curve
                    city: Destinyburgh
                    province_code: CA
                    country_code: BR
                    postcode: '61669'
                    contact_email: dreilly@hotmail.com
                    contact_phone: 1-281-643-8395
                    company_code: '11258975'
              example:
                data:
                  uuid: a13651d2-8192-41b1-9903-47afef577659
                  first_name: Zita
                  last_name: Keebler
                  company_name: Heidenreich-Ruecker
                  vat_number: eligendi
                  vat_validation_status: invalid
                  vat_validated_at: '2026-03-03T14:05:30.0000000+00:00'
                  line_one: 305 Bart Shoal Suite 658
                  line_two: 6392 Doyle Ports
                  line_three: 21693 Justine Curve
                  city: Destinyburgh
                  province_code: CA
                  country_code: BR
                  postcode: '61669'
                  contact_email: dreilly@hotmail.com
                  contact_phone: 1-281-643-8395
                  company_code: '11258975'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````